# -*- coding: utf-8 -*-
from setuphelpers import *

# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
bin_contains = "PlantronicsHubInstaller"


def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    download_url = "https://www.poly.com/content/dam/www/software/PlantronicsHubInstaller.dmg"
    latest_bin = "PlantronicsHubInstaller.dmg"

    print("Download url is: %s" % download_url)

    # Downloading latest binaries
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)

    # Installation to check the version
    install_dmg(latest_bin)
    for soft in installed_softwares() :
        if 'Plantronics Hub' == soft['name'] :
            version=soft['version']



    control.set_software_version(version)
    control.save_control_to_wapt()

    # Validating or not update-package-sources
    return result
